Movable Type セキュリティーアップデート

 Movable Type のセキュリティーアップデートが提供されていました。

 このブログで使用している MT のバージョンは 4.01 日本語版だったのでMovable Type 4 をお使いの場合からバージョン 4.01a がダウンロード出来たので、とりあえず 4.01 との差分を取ってみました。

differ:

(MT)/extlib/Data/ObjectDriver/BaseObject.pm
(MT)/extlib/Data/ObjectDriver/Driver/Cache/Memcached.pm
(MT)/extlib/Data/ObjectDriver/Driver/DBI.pm
(MT)/extlib/Data/ObjectDriver/SQL.pm
(MT)/extlib/Data/ObjectDriver.pm
(MT)/lib/MT/App/Comments.pm
(MT)/lib/MT.pm
(MT)/mt-check.cgi
(MT)/mt-static/js/common/AdEngine.js
(MT)/mt-static/js/common/App.js
(MT)/mt-static/js/common/Client.js
(MT)/mt-static/js/common/Cookie.js
(MT)/mt-static/js/common/Core.js
(MT)/mt-static/js/common/DOM.js
(MT)/mt-static/js/common/Devel.js
(MT)/mt-static/js/mt_core_compact.js
(MT)/php/mt.php

only in 4.01a:

(MT)/extlib/Data/ObjectDriver/Iterator.pm
(MT)/extlib/Data/ObjectDriver/ResultSet.pm

 という結果だったので該当ファイルのみアップロードしました。また、mt-view.cgi も削除しました

comments powered by Disqus